package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_VENDOR_CRAWLER_SENSOR_ITEM", schema = "public")
public class MetaVendorCrawlerSensorItem {
  private Long id;
  private String interval;
  private String warnCondition;
  private Short crawlerId;
  private MetaSensorItem metaSensorItem;
  private MetaInfraVendor metaInfraVendor;
  private Date createDate;

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  @Column(name = "INTERVAL", nullable = true, length = 50)
  public String getInterval() {
    return interval;
  }

  public void setInterval(String interval) {
    this.interval = interval;
  }

  @Column(name = "WARN_CONDITION", nullable = true, length = 50)
  public String getWarnCondition() {
    return warnCondition;
  }

  public void setWarnCondition(String warnCondition) {
    this.warnCondition = warnCondition;
  }

  @ManyToOne
  @JoinColumn(name = "META_SENSOR_ITEM_ID", nullable = false)
  public MetaSensorItem getMetaSensorItem() {
    return metaSensorItem;
  }

  public void setMetaSensorItem(MetaSensorItem metaSensorItem) {
    this.metaSensorItem = metaSensorItem;
  }

  @ManyToOne
  @JoinColumn(name = "VENDOR_ID", nullable = false)
  public MetaInfraVendor getMetaInfraVendor() {
    return metaInfraVendor;
  }

  public void setMetaInfraVendor(MetaInfraVendor metaInfraVendor) {
    this.metaInfraVendor = metaInfraVendor;
  }

  @Basic
  @Column(name = "CRAWLER_ID", nullable = false)
  public Short getCrawlerId() {
    return crawlerId;
  }

  public void setCrawlerId(Short crawlerId) {
    this.crawlerId = crawlerId;
  }

  @Column(name = "DESCRIPTION", nullable = true, length = 255)
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
